Update saved objects
Base URL
https://{kibana_url}
POST
/api/saved_objects/_bulk_update
POST
/s/{space_id} /api/saved_objects/_bulk_update
Auth
Deprecated
Update the attributes for multiple Kibana saved objects.
Expand all
space_id
string
optional
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
Cross-site request forgery protection
200
Indicates a successful call. NOTE: This HTTP response code indicates that the bulk operation succeeded. Errors pertaining to individual objects will be returned in the response body.
application/json
error
enum
required
Values:
Bad Request
statusCode
enum
required
Values:
400
Thank you for your feedback.
Base URL
https://{kibana_url}
Examples
Request
Console
1 / 2 languages
‹
›
1
2
3
4
POST kbn:/api/saved_objects/_bulk_update
[
{}
]
Generated from the API spec
1
2
3
4
5
6
7
curl -X POST "${KIBANA_URL}/api/saved_objects/_bulk_update" \
-H "kbn-xsrf: true" \
-H "Authorization: ApiKey ${API_KEY}" \
-H "Content-Type: application/json" \
-d '[
{}
]'
Generated from the API spec
Response
Generated from the API spec
1
2
3
4
5
{
"error": "Bad Request",
"message": "string",
"statusCode": 400
}
Generated from the API spec